# Created by pyp2rpm-3.2.1
%global pypi_name pycodestyle

Name:           python-%{pypi_name}
Group:          Development/Python
Version:        2.12.1
Release:        %mkrel 2
Summary:        Python style guide checker

License:        MIT
URL:            https://pycodestyle.readthedocs.io/
#Source0:        %%{pypi_source}
# PYPI source doesn't include sources for docs nor tests
Source0:        https://github.com/PyCQA/pycodestyle/archive/refs/tags/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(pytest)

%description
pycodestyle is a tool to check your Python code against some of the style
conventions in PEP 8.

This package used to be called pep8 but was renamed to pycodestyle to reduce
confusion.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pycodestyle is a tool to check your Python code against some of the style
conventions in PEP 8.

This package used to be called pep8 but was renamed to pycodestyle to reduce
confusion.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pycodestyle

ln -s %{_bindir}/pycodestyle %{buildroot}/%{_bindir}/pycodestyle-3

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html
%{_bindir}/pycodestyle
%{_bindir}/pycodestyle-3


%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 2.12.1-2.mga10
+ Revision: 2154422
- rebuild for python 3.13

* Mon Sep 23 2024 papoteur <papoteur> 2.12.1-1.mga10
+ Revision: 2100660
- new version 2.12.1

* Sat Dec 09 2023 wally <wally> 2.11.1-2.mga10
+ Revision: 2015976
- rebuild for py3.12
- use github sources to have sources for docs and tests

* Mon Oct 23 2023 kekepower <kekepower> 2.11.1-1.mga10
+ Revision: 2000414
- Update to version 2.11.1

* Sun Oct 22 2023 papoteur <papoteur> 2.10.0-1.mga10
+ Revision: 2000194
- new 2.10.0

* Wed Sep 07 2022 neoclust <neoclust> 2.9.1-1.mga9
+ Revision: 1885124
- New version  2.9.1

* Tue Mar 29 2022 umeabot <umeabot> 2.8.0-3.mga9
+ Revision: 1832601
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 2.8.0-2.mga9
+ Revision: 1774052
- rebuild for python 3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 2.8.0-1.mga9
+ Revision: 1771284
- version 2.8.0

* Mon Mar 15 2021 wally <wally> 2.7.0-1.mga9
+ Revision: 1703084
- new version 2.7.0

* Mon Mar 15 2021 wally <wally> 2.6.0-2.mga9
+ Revision: 1703074
- rebuild for python 3.9

* Fri Jul 03 2020 shlomif <shlomif> 2.6.0-1.mga8
+ Revision: 1601690
- New version 2.6.0

* Sun Feb 16 2020 umeabot <umeabot> 2.5.0-4.mga8
+ Revision: 1530966
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 2.5.0-3.mga8
+ Revision: 1437946
- rebuild for python3.8
- drop python2 support
- move html doc to main pkg

* Tue Aug 20 2019 wally <wally> 2.5.0-2.mga8
+ Revision: 1430593
- update descriptions
- update sphinx BRs

* Fri Mar 15 2019 shlomif <shlomif> 2.5.0-1.mga7
+ Revision: 1377720
- New version 2.5.0 - tests fix from fedora

* Sat Jan 05 2019 wally <wally> 2.4.0-2.mga7
+ Revision: 1349763
- rebuild for python3.7
- add patch originally from Debian to fix tests with python3.7
- rebuild for python3.7

* Sun Nov 11 2018 shlomif <shlomif> 2.4.0-1.mga7
+ Revision: 1329598
- New version 2.4.0

* Thu Sep 20 2018 umeabot <umeabot> 2.3.1-3.mga7
+ Revision: 1289765
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.3.1-2.mga7
+ Revision: 1135562
- Rebuild for python 3.6

* Thu Mar 23 2017 shlomif <shlomif> 2.3.1-1.mga6
+ Revision: 1094567
- importing from pyp2rpm


* Wed Dec 14 2016 Shlomi Fish <shlomif@shlomifish.org> - 2.2.0-1
- Initial package.
